@import "mixins";
@import "variables";

//@include tablet{
//
//}
//@include laptop{
//
//}
//@include desktop{
//
//}


.pricing {
  &__content {
    background-color: rgba(75, 59, 78, 1);
    text-align: center;
    padding-top: 63px;
    padding-bottom: 75px;
    max-width: 1200px;
    margin: 0 auto;
    @include tablet {
      padding-top: 48px;
      padding-bottom: 75px;
    }

    @include laptop {
      padding-top: 66px;
    }
  }

  &__title {
    color: white;
    font-family: $font-Montserrat;
    font-size: 28px;
    font-weight: 700;
    line-height: 1.5;
    @include tablet{
      font-size: 42px;
    }
    @include laptop {
      font-size: 42px;
    }
  }


  &__list {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    padding-top: 47px;
    align-items: center;

    @include laptop {
      padding-top: 40px;
      max-width: 768px;
      margin: 0 auto;
    }
  }

  &-item {
    max-width: 257px;
    height: 457px;
    background-color: rgba(255, 255, 255, 0.11);
    color: white;
    width: 100%;
    margin-bottom: 16px;




    @include laptop {
      margin: 0 25px 16px;
    }

    @include desktop {
      margin: 0 15px 16px;
    }

    &:last-child {
      @media (min-width: 645px) and (max-width: 992px){
        margin-left: 10px;
      }
    }
    &:nth-child(3) {
      @media (min-width: 645px) and (max-width: 992px){
        margin-left: 5px;
      }
    }

    &-active {
      max-width: 288px;
      height: 560px;
      background-color: rgba(0, 0, 0, 0.11);
      color: white;
      width: 100%;
      margin-bottom: 14px;


      .pricing-item__name {
        background-color: rgba(0, 0, 0, 0.16);
        padding-bottom: 40px;
      }
      .pricing-item__price {
        font-size: 82px;
        font-family: $font-Montserrat;
        font-weight: 700;
        margin-top: 13px;
      }
      .pricing-item__text {
        margin-top: 47px;
        height: 130px;
        overflow: hidden;
      }
      .pricing-item__link {
        padding: 18px 45px;
        border-radius: 25px;
      }
    }


    &__text {
      margin-top: 30px;
      height: 85px;
      overflow: hidden;
    }

    &__name {
      font-family: $font-Montserrat;
      font-size: 24px;
      text-transform: uppercase;
      padding-top: 44px;
      padding-bottom: 30px;
      background-color: rgba(255, 255, 255, 0.16);

    }

    &__price {
      font-size: 60px;
      font-family: $font-Montserrat;
      font-weight: 700;
      margin-top: 30px;
    }

    &__currency {
      font-weight: 400;
    }

    &__small-info {
      font-size: 14px;
      color: grey;
      text-transform: uppercase;
      font-family: $font-Montserrat;
      margin-top: 20px;
      margin-bottom: 37px;
    }

    &__divider {
      width: 60px;
      height: 5px;
      background-color: $main-page-text-color;
      margin: 0 auto;
    }


    &__description {
      text-transform: capitalize;
      font-family: $font-Montserrat;
      font-size: 16px;
      margin-bottom: 10px;
    }

    &__link {
      text-transform: uppercase;
      font-family: $font-Montserrat;
      padding: 12px 35px;
      border-radius: 20px;
      background-color: rgba(255, 255, 255, 0.21);
      display: inline-block;
    }

  }

}

